dofile("scripts/LevelManager.lua");

LManager = LevelManager.create();

LManager:AddNewTable( 1, 6, 230, 300, "assets/images/table/redtable_6", "assets/images/food/item_mark3", "R" );


useFloAsServer = 0;
useWineTable = 0;
numMoodBoosts = 0;
numServers = 1;
maxCoupleHappiness = 200;

-- Group 1
guest = LManager.GenGuest(male01);
guest.matchType = female04;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male01);
guest.matchType = female04;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female04);
guest.matchType = male01;
LManager:AddGuest(guest);


LManager:SetSeatingGroup(1, 3, 3000);


-- Group 2

guest = LManager.GenGuest(female01);
guest.matchType = male04;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male04);
guest.matchType = male01;
LManager:AddGuest(guest);


LManager:SetSeatingGroup(4, 5, 16000);

-- Group 3

guest = LManager.GenGuest(aunt);
guest.matchType = table1;
guest.percentRequestTissue = 50;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(6, 6, 30000);


-- Group 4

guest = LManager.GenGuest(female01);
guest.matchType = female04;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male01);
guest.matchType = female01;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(7, 8, 50000);


-- Group 5

guest = LManager.GenGuest(male04);
guest.matchType = table1;
LManager:AddGuest(guest);

guest = LManager.GenGuest(aunt);
guest.matchType = male04;
guest.percentRequestTissue = 50;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(9, 10, 85000);

-- Group 6

guest = LManager.GenGuest(female04);
guest.matchType = male01;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male01);
guest.matchType = female04;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(11, 12, 120000);


LManager:AddQuinnEvent( "fx/fx_chef_table_fire.lua", 660, 155, 90000 );

LManager:AdjustGuestTolerance(150);


-- Set up the Level Settings
LManager:SetLevelNumber(1,5);
LManager:SetLevelScores(3400, 5200);
LManager:SetLevelTime(300000);

LManager:SetMusic("assets/audio/music/Big Band 2.ogg","assets/audio/music/new_dance_3.ogg","assets/audio/music/Disco Dance 1.ogg");

-- Generate Game Object
gameObject = LManager:GenerateGameObject();

-- Generate Level Settings
levelSetting = LManager:GenerateLevelSettings();

-- Generate Level Dialog
dofile( "scripts/LevelDialogGenerator.lua" );